local params = ...

local zwave = require "zwave"
local storage = require "storage"

local item_descriptor = storage.get_table( params.item_id )
if item_descriptor then
    if item_descriptor.class_id == 0x25 then -- Binary Switch command class ID
        zwave.set_value( item_descriptor.node_id, item_descriptor.class_id, item_descriptor.channel_id, params.value and 255 or 0 )
        zwave.request_value( item_descriptor.node_id, item_descriptor.class_id, item_descriptor.channel_id )
    end
end
