local params = ...

local core = require "core"
local storage = require "storage"

if params.class_id == 0x25 then -- Binary Switch command class ID
    local item_descriptor = {
        item_name = "switch",
        node_id = params.node_id,
        class_id = params.class_id,
        channel_id = params.channel_id
    }
    
    local item_id = storage.get_string( loadfile("HUB:my_first_plugin/scripts/utils/item_descriptor_utils" )().to_string( item_descriptor ) )
    
    if item_id then
        core.update_item_value( item_id, params.value ~= 0 )
    end
end
